### Method

# FwupdPlugin Volume check_free_space

since: 1.4.6

#### Declaration [src]

    gboolean
    fu_volume_check_free_space (
      FuVolume* self,
      guint64 required,
      GError** error
    )

#### Description [src]

Checks the volume for required space.

Available since: 1.4.6

#### Parameters

`required`

  Type: `guint64`

  Size in bytes.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` for success.